<nav class="navbar is-primary is-fixed-top" role="navigation" aria-label="main navigation">
    <div class="container">
        <div class="navbar-brand">
            <a class="navbar-item" href="/">
                <img alt={{.Title}} src="/images/mbededu-logo.png" height="57">
            </a>
            <a role="button" class="navbar-burger" data-target="navMenu" aria-label="menu" aria-expanded="false">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
            </a>
        </div>
        <div class="navbar-menu" id="navMenu">
            <div class="navbar-end">
                {{ $currentPage := . }}
                {{ range .Site.Menus.main }}
                {{ if .HasChildren }}
                <!-- <div class="navbar-item has-dropdown is-hoverable {{ if $currentPage.HasMenuCurrent "main" . }}is-active{{ end }}"> -->
                <div class="navbar-item has-dropdown is-hoverable">
                    <span class="navbar-link">
                        <!-- {{ .Pre }} -->
                        <span>{{ .Name }}</span>
                    </span>
                    <div class="navbar-dropdown">
                        {{ range .Children }}
                        <a class="navbar-item {{ if $currentPage.IsMenuCurrent " main" . }}is-active{{ end }}"
                            href="{{ .URL }}">{{ .Name }}</a>
                        {{ end }}
                    </div>
                </div>
                {{ else }}
                <a class="navbar-item" href="{{ .URL }}">
                    <!-- {{ .Pre }} -->
                    <span>{{ .Name }}</span>
                </a>
                {{ end }}
                {{ end }}
                <div class="navbar-item">
                    <span class="material-icons">
                        search
                    </span>
                </div>
            </div>
        </div>
    </div>
</nav>